/**
 * Represents a token within a sentence
 */
export declare class Token {
    readonly text: string;
    readonly occurrence: number;
    readonly occurrences: number;
    constructor(text: string, occurrence: number, occurrences: number);
    /**
     * Checks if this token equals another one.
     * @param {Token} token
     * @return {boolean}
     */
    equals(token: Token): boolean;
}
/**
 * Represents a sentence
 */
export declare class Sentence {
    private _text;
    readonly text: string;
    private _tokens;
    readonly tokens: Token[];
    private _context;
    readonly context: string;
    /**
     * Loads a sentence from json
     * @param json
     * @return {Sentence}
     */
    static fromJson(json: any): Sentence;
}
/**
 * represents an alignment
 */
export declare class Alignment {
    readonly sourceNgram: number[];
    readonly targetNgram: number[];
    constructor(sourceNgram: number[], targetNgram: number[]);
}
/**
 * Represents an aligned sentence
 */
declare class AlignedSentence {
    private _source;
    readonly source: Sentence;
    private _target;
    readonly target: Sentence;
    private _alignments;
    readonly alignments: Alignment[];
    /**
     * Loads an aligned sentence from json
     * @param json
     * @return {AlignedSentence}
     */
    static fromJson(json: any): AlignedSentence;
}
export default AlignedSentence;
