"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Represents a passage reference
 */
class Reference {
    constructor(book, chapter, verse) {
        this.book = book;
        this.chapter = chapter;
        this.verse = verse;
    }
    static buildFromContext(contextId) {
        if (contextId.length !== 9) {
            throw new Error("Context id must be 9 characters long");
        }
        const book = contextId.substring(0, 3);
        const chapter = Number.parseInt(contextId.substring(3, 6));
        const verse = Number.parseInt(contextId.substring(6, 9));
        return new Reference(book, chapter, verse);
    }
    toString() {
        return `${this.book} ${this.chapter}:${this.verse}`;
    }
}
exports.default = Reference;
